%global _hardened_build 1
%define download_dir 3310

Name:           pmount
Version:        0.9.23
Release:    1%{?dist}
Summary:        Enable normal user mount

License:        GPLv2+
URL:            http://pmount.alioth.debian.org/
Source0:        http://alioth.debian.org/frs/download.php/%{download_dir}/%{name}-%{version}.tar.bz2
Patch0:         pmount-0.9.17-nosetuid.patch
Patch1:         pmount.exfat.patch
Patch2:         pmount-c99.patch

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  e2fsprogs-devel
BuildRequires:  libblkid-devel

Requires:       cryptsetup
Requires:       /bin/mount

%description
pmount  ("policy mount") is a wrapper around the standard mount program
which permits normal users to mount removable devices without a  
matching /etc/fstab entry.

Be warned that pmount is installed setuid root.

%prep
%autosetup -p 1

%build
%configure \
  --enable-hal=no \
  --with-lock-dir=%{_localstatedir}/lock/pmount \
  --with-whitelist=%{_sysconfdir}/pmount.allow

%make_build

%install
%make_install
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README.devel COPYING ChangeLog
%config(noreplace) %{_sysconfdir}/pmount.allow
%attr(4755,root,root) %{_bindir}/pmount
%attr(4755,root,root) %{_bindir}/pumount
%{_mandir}/man1/p*mount*.1*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.23-1
- initial build
